package com.rosetta.messenger.network

/**
 * Типы вложений
 */
enum class AttachmentType(val value: Int) {
    IMAGE(0),       // Изображение
    MESSAGES(1),    // Reply (цитата сообщения)
    FILE(2),        // Файл
    AVATAR(3);      // Аватар пользователя

    companion object {
        fun fromInt(value: Int) = entries.firstOrNull { it.value == value } ?: IMAGE
    }
}
